import React from 'react';
import { TextField } from '@mui/material';
declare class Input extends React.Component {
    props: any;
    input: any;
    state: any;
    static propTypes: any;
    constructor(props: any);
    handleOnChange(evt: any): void;
    componentDidMount(): void;
    applyMask(value?: string): any;
    removeMask(value?: string): any;
    componentDidUpdate(prevProps: any): void;
    handleFocus(): void;
    handleBlur(): void;
    handleOnKeyDown(e: any): void;
    handleOnKeyUp(e: any): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export { TextField as StyledTextField };
export default Input;
